#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <cmath>
#define ll long long
#define ull unsigned long long

using namespace::std;

typedef struct {
    double x, y;
} Point;

bool comp(Point& p1, Point& p2) {
    if((float)p1.x < (float)p2.x) return true;
    else if((float)p1.x > (float)p2.x) return false;
    else return (float)p1.y < (float)p2.y;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n; cin >> n;
    vector<Point> points(n);
    for(auto& i : points) cin >> i.x >> i.y;
    vector<Point> ans;
    double dx, dy;
    for(int i=0;i<n;i++){
        for(int j=i+1;j<n;j++){
            dx = points[j].x - points[i].x;
            dy = points[j].y - points[i].y;
            Point p1 = { points[i].x + dx / 3, points[i].y + dy / 3 };
            Point p2 = { points[i].x + dx * 2 / 3, points[i].y + dy * 2 / 3 };
            ans.push_back(p1); ans.push_back(p2);
        }
    }
    sort(ans.begin(), ans.end(), comp);
    ll br = 1, sum = 0;
    //cout << ans[0].x << " " << ans[0].y << endl;
    for(int i=1;i<ans.size();++i){
        //cout << ans[i].x << " " << ans[i].y << endl;
        if((float)ans[i].x == (float)ans[i - 1].x && (float)ans[i].y == (float)ans[i-1].y) br++;
        else {
            sum += br * (br - 1) / 2;
            br = 1;
        }
    }
    cout << sum << endl;
    return 0;
}